diff -uwr sourceold/scripts/tcw_domination.cpp source/scripts/tcw_domination.cpp
--- sourceold/scripts/tcw_domination.cpp	2012-02-02 09:44:43.144531200 +0800
+++ source/scripts/tcw_domination.cpp	2012-06-09 08:11:12.146484300 +0800
@@ -962,6 +1162,6 @@
 ScriptRegistrant<tcw_wmd_strike> tcw_wmd_strike_Registrant("tcw_wmd_strike","StrikeAgainst=0:int");
 ScriptRegistrant<tcw_wmd_countdown_node> tcw_wmd_countdown_node_Registrant("tcw_wmd_countdown_node","Node_Name=North:string,NodVeh1=bla:string,NodVeh1Pos=0:vector3,NodVeh1Facing=0:float,NodVeh2=bla:string,NodVeh2Pos=0:vector3,NodVeh2Facing=0:float,NodVeh3=bla:string,NodVeh3Pos=0:vector3,NodVeh3Facing=0:float,NodVeh4=bla:string,NodVeh4Pos=0:vector3,NodVeh4Facing=0:float,NodVeh5=bla:string,NodVeh5Pos=0:vector3,NodVeh5Facing=0:float,GDIVeh1=bla:string,GDIVeh1Pos=0:vector3,GDIVeh1Facing=0:float,GDIVeh2=bla:string,GDIVeh2Pos=0:vector3,GDIVeh2Facing=0:float,GDIVeh3=bla:string,GDIVeh3Pos=0:vector3,GDIVeh3Facing=0:float,GDIVeh4=bla:string,GDIVeh4Pos=0:vector3,GDIVeh4Facing=0:float,GDIVeh5=bla:string,GDIVeh5Pos=0:vector3,GDIVeh5Facing=0:float");
 ScriptRegistrant<tcw_domination_vehicle> tcw_domination_vehicle_Registrant("tcw_domination_vehicle","Team=0:int");
-ScriptRegistrant<tcw_domination_node> tcw_domination_node_Registrant("tcw_domination_node","Node_Name=North:string,NodVeh1=bla:string,NodVeh1Pos=0:vector3,NodVeh1Facing=0:float,NodVeh2=bla:string,NodVeh2Pos=0:vector3,NodVeh2Facing=0:float,NodVeh3=bla:string,NodVeh3Pos=0:vector3,NodVeh3Facing=0:float,NodVeh4=bla:string,NodVeh4Pos=0:vector3,NodVeh4Facing=0:float,NodVeh5=bla:string,NodVeh5Pos=0:vector3,NodVeh5Facing=0:float,GDIVeh1=bla:string,GDIVeh1Pos=0:vector3,GDIVeh1Facing=0:float,GDIVeh2=bla:string,GDIVeh2Pos=0:vector3,GDIVeh2Facing=0:float,GDIVeh3=bla:string,GDIVeh3Pos=0:vector3,GDIVeh3Facing=0:float,GDIVeh4=bla:string,GDIVeh4Pos=0:vector3,GDIVeh4Facing=0:float,GDIVeh5=bla:string,GDIVeh5Pos=0:vector3,GDIVeh5Facing=0:float");
+ScriptRegistrant<tcw_domination_node> tcw_domination_node_Registrant("tcw_domination_node","Node_Name=North:string,NodVeh1=bla:string,NodVeh1Pos=0:vector3,NodVeh1Facing=0:float,NodVeh2=bla:string,NodVeh2Pos=0:vector3,NodVeh2Facing=0:float,NodVeh3=bla:string,NodVeh3Pos=0:vector3,NodVeh3Facing=0:float,NodVeh4=bla:string,NodVeh4Pos=0:vector3,NodVeh4Facing=0:float,NodVeh5=bla:string,NodVeh5Pos=0:vector3,NodVeh5Facing=0:float,GDIVeh1=bla:string,GDIVeh1Pos=0:vector3,GDIVeh1Facing=0:float,GDIVeh2=bla:string,GDIVeh2Pos=0:vector3,GDIVeh2Facing=0:float,GDIVeh3=bla:string,GDIVeh3Pos=0:vector3,GDIVeh3Facing=0:float,GDIVeh4=bla:string,GDIVeh4Pos=0:vector3,GDIVeh4Facing=0:float,GDIVeh5=bla:string,GDIVeh5Pos=0:vector3,GDIVeh5Facing=0:float,SpawnPad1ID=0:int,SpawnPad2ID=0:int,SpawnPad3ID=0:int,SpawnPad4ID=0:int");
 ScriptRegistrant<tcw_domination_pointgen> tcw_domination_pointgen_Registrant("tcw_domination_pointgen","Team=0:int");
 ScriptRegistrant<tcw_domination_control> tcw_domination_control_Registrant("tcw_domination_control","Points_Max=10:int");
\ No newline at end of file
diff -uwr sourceold/scripts/tcw_domination.h source/scripts/tcw_domination.h
--- sourceold/scripts/tcw_domination.h	2012-02-02 09:44:43.185546800 +0800
+++ source/scripts/tcw_domination.h	2012-06-09 08:11:12.196289000 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -35,10 +35,13 @@
 class tcw_domination_node : public ScriptImpClass {
 	void Created(GameObject *obj);
 	void Damaged(GameObject *obj, GameObject *damager, float damage);
+	void Timer_Expired(GameObject *obj, int number);
 	public: void Register_Auto_Save_Variables();
 	int owner;
+	bool trigger_neutral_damage;
 	int nodveh1id; int nodveh2id; int nodveh3id; int nodveh4id; int nodveh5id;
 	int gdiveh1id; int gdiveh2id; int gdiveh3id; int gdiveh4id; int gdiveh5id; 
+	int spawnpad1;	int spawnpad2;	int spawnpad3;	int spawnpad4;
 	const char *nodename;
 }; 
 
Only in source/scripts: tcw_frost.cpp
Only in source/scripts: tcw_frost.h
Only in source/scripts: tcw_functions.cpp
Only in source/scripts: tcw_functions.h
